---
title: Open and create a project
description: Open and create a new project in OpenProject. 
robots: index, follow
keywords: open project, create project
---

# Projects

To start collaboration in OpenProject, you first have to set up a new project.

| Feature                                                 | Documentation for                                     |
| ------------------------------------------------------- | ----------------------------------------------------- |
| [Select a project](#open-an-existing-project)           | Open an existing project.                             |
| [Create a new project](#create-a-new-project)           | How to create a new project?                          |
| [Advanced project settings](#advanced-project-settings) | Configure further advanced settings for your project. |

## Open an existing project

In order to open an existing project, click on the **Select a project** button on the top left corner of the header, and click the project which you want to open.

You can also start typing in a project name to filter for the project's title.

![open project](1572877683380.png)



Project and subproject are displayed according to their hierarchy in the drop-down menu.

![project hierarchy](1572877762016.png)

Also, you will see your newest projects on the application landing page in the **Projects** section. Here you can simply click on one of the newest visible projects to open it.

![open-project](1566292163068.png)



## Create a new project

To create a new project, click the **Select a project** button in the top left corner of the header and select **+ Project**.

![create-project](1566213921784.png)

Also, you can click the green button **+ Project** directly on the system's home screen in the **Project** section.

![Create-project-home-screen](Create-project-home-screen.png)

- Enter a **name** for your project and click the blue **Create** button.

![name-project](1569589387671.png)

Now, you can get started working in your project.

To configure further project information, see the [advanced settings](#TODO) section in the project admin guide.

### View all projects

To view all your projects where you are a member, click on the **View all projects** link on the Select a project drop-down menu.

![view all proejcts](1569490429831.png)

You will see a list with all your projects and its details.

![view all projects](1569490488827.png)





### Advanced Project Settings

Optionally, you can find out how to configure further [advanced settings](#TODO) for your projects, e.g. description, project hierarchy or setting it to public.
