---
title: Sign in and registration
description: Find out more about the sign in and registration in OpenProject. 
robots: index, follow
keywords: Sign in OpenProject, registration OpenProject
---

# Sign in and registration

Here you will get an overview how to sign in and register to an existing OpenProject installation.

<div class="alert alert-info" role="alert">

**Note**: If you do not have an OpenProject installation yet, please visit our site: [create an OpenProject trial installation](../../cloud-edition-guide/#create-an-openproject-trial-installation).

</div>

| Feature                                                      | Documentation for                                            |
| ------------------------------------------------------------ | ------------------------------------------------------------ |
| [Sign in with an existing account](#sign-in-with-an-existing-account) | Sign in with an existing account to an OpenProject installation. |
| [Sign in with Google](#sign-in-with-google)                  | Find out how to sign in with a Google account.               |
| [Sign in from the OpenProject website](#sign-in-from-the-openproject-website) | Sign in to an existing OpenProject Cloud Edition from the website. |
| [Create a new account](#create-a-new-account)                | Create a new account for OpenProject.                        |
| [Choose your language](#choose-your-language)                | How to select your language in OpenProject?                  |
| [Reset your password](#reset-your-password)                  | If you forgot your password find out how to reset it.        |

## Sign in with an existing account

To sign in to an OpenProject installation with an existing account, please enter the URL of your OpenProject in a modern browser, e.g. documentation.openproject.com.

Type in your user name and password in the respective fields and click the blue Sign in button. You will then be signed in to your OpenProject environment.

![Sign-in to OpenProject](1565974792215.png)

## Sign in with a Google account

Enterprise Edition and Cloud Edition customers can sign in with OpenID Connect, using their Google account. To sign in just click the Google button below the sign in form.

Please enter your email and click the blue Next button.

![Google-sign-in](1566204061662.png)

Enter you password and click the blue Next button.

![Google-password](1566204173462.png)

If you have activated Two-factor authentication, please enter your second factor and click the blue Next button.

![1566204298041](1566204298041.png)

Then, you are asked to create your OpenProject Account.

![Create-account](1566204388512.png)

## Sign in from the OpenProject website

If you are using the OpenProject Cloud Edition, you can sign in to your installation directly from the OpenProject website.

Please follow the [instructions in our Cloud Edition guide](../../cloud-edition-guide/#sign-in).

## Create a new account

If you have been invited via email to an OpenProject installation, or if you have set up your own OpenProject (trial) installation, you are asked to create a new account in the system.

Please click the link in the invitation email:

![email-activation](1566206190563.png)

Enter the following information:

* First name
* Last name
* Company E-Mail address
* Choose a password

Please confirm the Privacy policy and terms of service and click the blue **Create new account** button.

![create-new-account](1566204790146.png)

Make sure to remember your password in order to sign-in again at a later point.

## Choose your language

After the creation of your account you are logged into the system. You will then be asked to set your language in the system. Please choose your preferred language from the drop-down list.

<div class="alert alert-info" role="alert">
**Note**: OpenProject is available in more than 30 languages. If you do not find your preferred language, it first needs to be activated in the system's administration. Please talk to your system administrator so set up the language.
</div>

![select language](20191202171349241.png)

If you have already logged in before, you can [set your language in your user profile](../my-account/#profile-settings:-change-your-language,-time-zone-or-display-of-comments).

## Reset your password

If you forgot your password, you can reset your password by clicking the blue **Forgot your password** link directly below the Sign in field.

![Forgot-password](1566205596114.png)

You are then asked to enter you email address with which you have registered to OpenProject. 

![enter-email-address](1566205903097.png)

You will then receive an email with a link to reset your password.

<div class="alert alert-info" role="alert">

**Note**: If you have [signed-in with a Google account](#sign-in-with-a-google-account), your are not able to reset your password at this point.

</div>

