---
sidebar_navigation:
  title: Work packages
  priority: 870
description: Find out about work packages in OpenProject
robots: index, follow
keywords: work packages
---

# Work Packages

<div class="glossary">
**Work packages** are items in a project (such as tasks, features, risks, user stories, bugs, change requests). A work package captures important information and can be assigned to project members for execution. 
</div>

Work packages have a **type**, an **ID**, a **subject** and may have various additional attributes, such as **status**, **assignee**, **priority**, **due date**.

<div class="glossary">
**Types** are the different items a work package can represent, such as task, feature, bug, phase, milestone. The work package types can be configured in the system administration.
</div>

Work packages can be displayed in a projects timeline, e.g. as a milestone or a phase. In order to use the work packages, the work package module has to be activated in the project settings.

## Overview

| Popular Topics                                 | Description                                                  |
| ---------------------------------------------- | :----------------------------------------------------------- |
| [Create a work package](#create-work-packages) | How to create a new work package in OpenProject?             |
| [Work packages views](#work-packagaes-views)   | What is the difference between the work packages views: list view, split screen view, details view? |

## Work packages views

Work packages can be displayed in different views. They include the same work package(s) but just have a different form to display the work packages.

* List view
* Split screen view
* Details view
* Gantt view
* Board view

### Work package list view

The list view shows all work packages in a list with selected attributes in the columns.

![list-view](1566306576394.png)

Find out how to make changes to the work package list view, e.g. change the titles in the header, filter, group or add dependencies.

### Work package split screen view

If you are in the work package list, click on the blue info icon at the right end of a work package row to open the split screen view.

Also, the split screen view can be activated or de-activated with the **info button** at the top right of the work packages list, next to the Filter.

![split-screen-icon](split-screen-icon.png)

Once the split screen is open, you can easily navigate through the work package list by clicking in a row of a work package and display the details in the split screen on the right.

![split-screen-view](1566307254418.png)

### Work package full screen view

To display  a work package with all its details in full screen mode, double click on a row within the work package list.

Also, you can use the full screen icon in the work package split screen view in the header at the right (next to Watcher).

![full-screen-icon](full-screen-icon-1566373903021.png)

Then, the work package with all its details will be displayed. 

The arrow next to the subject will bring you back to the list view.

![back-to-list-view-icon](back-to-list-view-icon.png)